idella4     14/07/08 14:28:04

  Modified:             scrapy-0.24.1.ebuild ChangeLog
  Log:
  from fix by /issues/788 by owner @ github, update dep w3lib, delete 
superfluous python_prepare_all(), correction to test phase
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key 
0xB8072B0D)

Revision  Changes    Path
1.2                  dev-python/scrapy/scrapy-0.24.1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/scrapy/scrapy-0.24.1.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/scrapy/scrapy-0.24.1.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/scrapy/scrapy-0.24.1.ebuild?r1=1.1&r2=1.2

Index: scrapy-0.24.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/scrapy/scrapy-0.24.1.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- scrapy-0.24.1.ebuild        8 Jul 2014 08:54:41 -0000       1.1
+++ scrapy-0.24.1.ebuild        8 Jul 2014 14:28:03 -0000       1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/scrapy/scrapy-0.24.1.ebuild,v 
1.1 2014/07/08 08:54:41 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/scrapy/scrapy-0.24.1.ebuild,v 
1.2 2014/07/08 14:28:03 idella4 Exp $
 
 EAPI=5
 
@@ -29,7 +29,7 @@
        >=dev-python/twisted-conch-10.0.0[${PYTHON_USEDEP}]
        >=dev-python/twisted-mail-10.0.0[${PYTHON_USEDEP}]
        >=dev-python/twisted-web-10.0.0[${PYTHON_USEDEP}]
-       >=dev-python/w3lib-1.2[${PYTHON_USEDEP}]
+       >=dev-python/w3lib-1.6[${PYTHON_USEDEP}]
        dev-python/queuelib[${PYTHON_USEDEP}]
        >=dev-python/cssselect-0.9[${PYTHON_USEDEP}]"
 DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
@@ -42,18 +42,11 @@
                dev-python/mock[${PYTHON_USEDEP}]
                >=net-proxy/mitmproxy-0.10[${PYTHON_USEDEP}]
                net-ftp/vsftpd )"
-# pytest-twisted listed as a test dep but not in portage
+# pytest-twisted listed as a test dep but not in portage. 
+# Testsuite currently survives without it, so appears optional
 
 REQUIRED_USE="test? ( ssl boto )"
 
-python_prepare_all() {
-       # Skip failing tests; https://github.com/scrapy/scrapy/issues/788
-       # There's 1 doctest failure that remains on being run.
-       sed -e s':test_ajax_url:_&:' -i scrapy/tests/test_http_request.py || die
-
-       distutils-r1_python_prepare_all
-}
-
 python_compile_all() {
        if use doc; then
                PYTHONPATH="${S}" emake -C docs html || die "emake html failed"
@@ -61,7 +54,7 @@
 }
 
 python_test() {
-       py.test --twisted ${PN} || die "tests failed"
+       py.test ${PN} || die "tests failed"
 }
 
 python_install_all() {



1.24                 dev-python/scrapy/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/scrapy/ChangeLog?rev=1.24&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/scrapy/ChangeLog?rev=1.24&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/scrapy/ChangeLog?r1=1.23&r2=1.24

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/scrapy/ChangeLog,v
retrieving revision 1.23
retrieving revision 1.24
diff -u -r1.23 -r1.24
--- ChangeLog   8 Jul 2014 08:54:41 -0000       1.23
+++ ChangeLog   8 Jul 2014 14:28:03 -0000       1.24
@@ -1,6 +1,10 @@
 # ChangeLog for dev-python/scrapy
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/scrapy/ChangeLog,v 1.23 
2014/07/08 08:54:41 idella4 Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/scrapy/ChangeLog,v 1.24 
2014/07/08 14:28:03 idella4 Exp $
+
+  08 Jul 2014; Ian Delaney <[email protected]> scrapy-0.24.1.ebuild:
+  from fix by /issues/788 by owner @ github, update dep w3lib, delete
+  superfluous python_prepare_all(), correction to test phase
 
 *scrapy-0.24.1 (08 Jul 2014)
 




Reply via email to